> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ziina.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get refund by Id

> Use this endpoint to track a refund’s progress and status. Useful for confirming completion or handling support cases

<Note>
  In order to call this endpoint your token must have `write_refunds`
  [scope](/developers/oauth-2.0#available-scopes).
</Note>


## OpenAPI

````yaml ../payment-service-openapi.json GET /refund/{id}
openapi: 3.0.0
info:
  title: Ziina API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api-v2.ziina.com/api
security:
  - bearer: []
tags: []
paths:
  /refund/{id}:
    get:
      tags:
        - Refund
      operationId: RefundController_getRefund
      parameters:
        - name: id
          required: true
          in: path
          description: id of the refund
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefundDto'
components:
  schemas:
    RefundDto:
      type: object
      properties:
        id:
          type: string
          description: Id of the refund
        payment_intent_id:
          type: string
          description: id of the payment intent
        amount:
          type: number
          description: >-
            Transaction amount. Values must be passed in the base units of their
            currency. For example, $10.50 should be provided as `1050`.
        currency_code:
          type: string
          description: >-
            Currency code of the amount to charge. This should be a 3-letter
            ISO-4217 currency code. For example, if you wish to charge 10 AED,
            you should pass AED. For more information on supported currencies,
            please visit the [supported currencies page](/supported-currencies)
        status:
          type: string
          enum:
            - pending
            - completed
            - failed
        created_at:
          type: string
          description: Unix timestamp in milliseconds
        error:
          nullable: true
          description: Optional error
          allOf:
            - $ref: '#/components/schemas/ErrorDto'
      required:
        - id
        - payment_intent_id
        - amount
        - currency_code
        - status
        - created_at
    ErrorDto:
      type: object
      properties:
        message:
          type: string
          description: A human-readable error message
        code:
          type: string
          description: HTTP error status code
      required:
        - message
        - code
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````